%define shortname QtCurve

Name: kde4-style-qtcurve
Summary: QtCurve Theme for KDE4
Version: 0.62.4
Release: %mkrel 2
Source0: http://home.freeuk.com/cpdrummond/%{shortname}-KDE4-%{version}.tar.bz2
URL: http://www.kde-look.org/content/show.php?content=40492
Group: Graphical desktop/KDE
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License: GPLv2 
BuildRequires: kdelibs4-devel
BuildRequires: kdebase4-workspace-devel
Conflicts: kde-style-QtCurve < 0.59
Obsoletes: kde4-style-QtCurve < 0.59.3

%description
QtCurve theme for KDE 4

%prep 
%setup -q -n %{shortname}-KDE4-%version

%build 
%cmake_kde4 
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

%clean 
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%doc README ChangeLog TODO
%{_kde_libdir}/kde4/kstyle_qtcurve_config.so
%{_kde_libdir}/kde4/kwin3_qtcurve.so
%{_kde_libdir}/kde4/kwin_qtcurve_config.so
%{_kde_libdir}/kde4/plugins/styles/qtcurve.so
%{_kde_appsdir}/QtCurve
%{_kde_appsdir}/color-schemes/
%{_kde_appsdir}/kstyle/
%{_kde_appsdir}/kwin/




%changelog
* Wed Mar 18 2009 Rodrigo Gonçalves de Oliveira <rodrigo@mandriva.com> 0.62.4-2mdv2009.1
+ Revision: 357315
- Fixed defattr issue

* Tue Mar 17 2009 Rodrigo Gonçalves de Oliveira <rodrigo@mandriva.com> 0.62.4-1mdv2009.1
+ Revision: 356610
- Update to new version 0.62

* Sun Jan 11 2009 Frederik Himpe <fhimpe@mandriva.org> 0.60.0-1mdv2009.1
+ Revision: 328323
- Update to new version 0.60

* Fri Aug 01 2008 Funda Wang <fundawang@mandriva.org> 0.59.6-1mdv2009.0
+ Revision: 259126
- New version 0.59.6
- update URL

* Tue Jul 22 2008 Leonardo de Amaral Vidal <leonardoav@mandriva.com> 0.59.5-1mdv2009.0
+ Revision: 240216
- New upstream release
- Make the obsoletes versioned

* Sat Jul 05 2008 Funda Wang <fundawang@mandriva.org> 0.59.4-1mdv2009.0
+ Revision: 231983
- New version 0.59.4

* Fri Jul 04 2008 Funda Wang <fundawang@mandriva.org> 0.59.3-2mdv2009.0
+ Revision: 231507
- rebuild

* Sun Jun 22 2008 Funda Wang <fundawang@mandriva.org> 0.59.3-1mdv2009.0
+ Revision: 227908
- New version 0.59.3

* Tue Jun 17 2008 Helio Chissini de Castro <helio@mandriva.com> 0.59.2-2mdv2009.0
+ Revision: 222784
- Lowercasing the name
- Lowercase to match all other styles

* Thu May 15 2008 Rodrigo Gonçalves de Oliveira <rodrigo@mandriva.com> 0.59.2-1mdv2009.0
+ Revision: 207583
- import kde4-style-QtCurve

